[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: wxWidgets2.4

On Sat, Jan 05, 2008 at 10:55:06AM +0100, Thomas Viehmann wrote:
> Roberto C. Sanchez wrote:
> > * Package name    : libalien-wxwidgets-perl
> But please don't add packages for WxWindows2.4 reverse dependencies[1].

(unstable)miami:/var/lib/chroot/pbuilder-sid/results# dpkg --info libalien-wxwidgets-perl_0.32-1_i386.deb
 new debian package, version 2.0.
 size 18094 bytes: control archive= 873 bytes.
     488 bytes,    12 lines      control              
     916 bytes,    11 lines      md5sums              
 Package: libalien-wxwidgets-perl
 Version: 0.32-1
 Architecture: i386
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Installed-Size: 124
 Depends: libwxgtk2.6-dev
 Section: perl
 Priority: optional
 Homepage: http://search.cpan.org/dist/Alien-wxWidgets/
 Description: building, finding and using wxWidgets binaries
  Detects configuration settings of an installed wxWidgets.  Can be used in
  order to help in the process of building modules which require wxWidgets.

> While I can see why the release team is reluctant to add getting rid of
> wxwindows2.4 as a release goal in terms of rendering existing packages RC buggy
> just because of that, I am surprised to see that increasing the number of
> reverse dependencies (jugglemaster was introduced as a new package in late
> November 2007) after half at least half a year of off and on efforts to
> eliminate dependencies.
> Unless we want to support wxWindows2.4 for lenny (which I don't think anyone is
> actually proposing) we should get serious about descreasing the number of
> reverse dependencies.
No wx2.4 dependencies or reverse dependencies here :-)

I am packaging this because it is needed by libwx-perl, which I am also
packaging.  As far as I can tell, both happily work wx2.6.



Roberto C. Sánchez

Attachment: signature.asc
Description: Digital signature

Reply to: